PamCut: CaloEvent Class Reference

# CaloEvent Class Reference

`#include <CaloAxis2.h>`

List of all members.

## Public Member Functions
void | Add (int iis, int iip, float fq, float fz, float fxy)
int | GetN ()
void | Reset ()
void | Delete ()
| ~CaloEvent ()
| CaloEvent ()
| CaloEvent (CaloLevel1 *calo, int view, Bool_t usemechanicalalignement)
| CaloEvent (CaloLevel1 *calo, int view)
void | Set (CaloLevel1 *calo, int view, Bool_t usemechanicalalignement)
void | Set (CaloLevel1 *calo, int view)
## Public Attributes
vector< int > | ids
vector< int > | idp
vector< float > | q
vector< float > | zcoord
vector< float > | xycoord

## Detailed Description

Definition at line 30 of file CaloAxis2.h.

## Constructor & Destructor Documentation

CaloEvent::~CaloEvent | ( |  | ) | `[inline]`

Definition at line 69 of file CaloAxis2.h.

References Delete().

CaloEvent::CaloEvent | ( |  | ) | `[inline]`

Definition at line 71 of file CaloAxis2.h.

CaloEvent::CaloEvent | ( | CaloLevel1 * | calo,
|  | int | view,
|  | Bool_t | usemechanicalalignement |
| ) |  |  | `[inline]`

Definition at line 73 of file CaloAxis2.h.

References Set().

CaloEvent::CaloEvent | ( | CaloLevel1 * | calo,
|  | int | view |
| ) |  |  | `[inline]`

Definition at line 75 of file CaloAxis2.h.

References Set().

## Member Function Documentation

void CaloEvent::Add | ( | int | iis,
|  | int | iip,
|  | float | fq,
|  | float | fz,
|  | float | fxy |
| ) |  |  | `[inline]`

Definition at line 47 of file CaloAxis2.h.

References idp, ids, q, xycoord, and zcoord.

Referenced by Set().

void CaloEvent::Delete | ( |  | ) | `[inline]`

Definition at line 67 of file CaloAxis2.h.

References Reset().

Referenced by ~CaloEvent().

int CaloEvent::GetN | ( |  | ) | `[inline]`

Definition at line 57 of file CaloAxis2.h.

References q.

Referenced by CaloAxis::FitAxis(), CaloAxis::FitShower(), and CaloAxis::GetQaxis().

void CaloEvent::Reset | ( |  | ) | `[inline]`

Definition at line 59 of file CaloAxis2.h.

References idp, ids, q, xycoord, and zcoord.

Referenced by Delete(), and Set().

void CaloEvent::Set | ( | CaloLevel1 * | calo,
|  | int | view |
| ) |  |  | `[inline]`

Definition at line 101 of file CaloAxis2.h.

References Set().

Referenced by Set().

void CaloEvent::Set | ( | CaloLevel1 * | calo,
|  | int | view,
|  | Bool_t | usemechanicalalignement |
| ) |  |  | `[inline]`

Definition at line 77 of file CaloAxis2.h.

References Add(), and Reset().

Referenced by CaloEvent(), and CaloAxis::Set().

## Member Data Documentation

vector<int> CaloEvent::idp

Definition at line 38 of file CaloAxis2.h.

Referenced by Add(), CaloAxis::FitAxis(), CaloAxis::FitShower(), and Reset().

vector<int> CaloEvent::ids

Definition at line 37 of file CaloAxis2.h.

Referenced by Add(), CaloAxis::FitAxis(), and Reset().

vector<float> CaloEvent::q

Definition at line 39 of file CaloAxis2.h.

Referenced by Add(), CaloAxis::FitAxis(), CaloAxis::FitShower(), GetN(), CaloAxis::GetQaxis(), and Reset().

vector<float> CaloEvent::xycoord

Definition at line 41 of file CaloAxis2.h.

Referenced by Add(), CaloAxis::FitAxis(), CaloAxis::FitShower(), CaloAxis::GetQaxis(), and Reset().

vector<float> CaloEvent::zcoord

Definition at line 40 of file CaloAxis2.h.

Referenced by Add(), CaloAxis::FitAxis(), CaloAxis::FitShower(), CaloAxis::GetQaxis(), and Reset().

The documentation for this class was generated from the following file:

- CaloAxis2.h